Unread email count in thunderbird shown wrongly in messaging menu and launcher icon

Bug #850229 reported by Guruprasad on 2011-09-14
188
This bug affects 39 people
Affects Status Importance Assigned to Milestone
Messaging Menu Thunderbird Extension
Undecided
Unassigned
thunderbird (Ubuntu)
Undecided
Unassigned
Oneiric
Undecided
Unassigned

Bug Description

The number of unread emails is shown incorrectly in the messaging menu and unity launcher icon of thunderbird though thunderbird application shows the correct count. See the attached screenshot for the illustration.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: thunderbird 7.0~b2+build2+nobinonly1-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4
Uname: Linux 3.0.0-11-generic i686
NonfreeKernelModules: nvidia
AddonCompatCheckDisabled: False
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.23-0ubuntu1
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: guruprasad 1650 F.... pulseaudio
BuildID: 20110906005012
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf8400000 irq 47'
   Mixer name : 'Realtek ALC268'
   Components : 'HDA:10ec0268,103c30cc,00100003 HDA:10573055,10573055,00100700'
   Controls : 21
   Simple ctrls : 13
Channel: default
Date: Wed Sep 14 23:40:58 2011
ForcedLayersAccel: False
IfupdownConfig:
 auto lo
 iface lo inet loopback
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta i386 (20110901)
IpRoute:
 default via 192.168.1.1 dev wlan0 proto static
 169.254.0.0/16 dev wlan0 scope link metric 1000
 192.168.1.0/24 dev wlan0 proto kernel scope link src 192.168.1.8
Profiles: Profile0 (Default) - LastVersion=7.0/20110906005012 (Running)
RunningIncompatibleAddons: False
SourcePackage: thunderbird
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 11/25/2008
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: F.59
dmi.board.name: 30CB
dmi.board.vendor: Quanta
dmi.board.version: 79.2E
dmi.chassis.type: 10
dmi.chassis.vendor: Quanta
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnHewlett-Packard:bvrF.59:bd11/25/2008:svnHewlett-Packard:pnHPPaviliondv9700NotebookPC:pvrRev1:rvnQuanta:rn30CB:rvr79.2E:cvnQuanta:ct10:cvrN/A:
dmi.product.name: HP Pavilion dv9700 Notebook PC
dmi.product.version: Rev 1
dmi.sys.vendor: Hewlett-Packard

Guruprasad (lgp171188) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in thunderbird (Ubuntu):
status: New → Confirmed

I can confirm this. The only solution I've found so far is to close and restart Thunderbird. Using thunderbird 7.0~b3+build1+nobinonly-0ubuntu1.

My Messaging menu does not contain Thunderbird at all, just a "Mail" item and when I get new mail, it does not reflect that. Also on the launcher icon for Thunderbird there is no unread count showing over the icon. I am rather disappointed with this situation and is there anything I can do to fix it? Or is that the work involved in this bug. I only have Thunderbird installed and no other mail programs. If I click the Mail item in the Messaging menu it takes me to Thunderbird but there is no unread count available visually anywhere. I do have notifications installed which pop up a dialog box when mail arrives. This is frustrating because all these things used to work in the previous Ubuntu version.

yannack (yannack) wrote :

I think I have a way of reproducing in some cases. Connect thunderbird to an IMAP account, send an email to the IMAP account, watch the indicator count increase. Read the email from some other source than thunderbird (webmail or what have you): the count does not decrease (at least it did not for me)

Hello Guruprasad, or anyone else affected,

Accepted thunderbird into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in thunderbird (Ubuntu Oneiric):
status: New → Fix Committed
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunderbird - 8.0~b5+build1-0ubuntu1

---------------
thunderbird (8.0~b5+build1-0ubuntu1) precise; urgency=low

  * New upstream release from the beta channel (THUNDERBIRD_8_0b5_BUILD1)

  * Update messagingmenu-extension to 0.8.2
    - Should hopefully fix LP: #850229
  * Don't disable our bundled addons on upgrade
    - update debian/vendor.js
 -- Chris Coulson <email address hidden> Thu, 03 Nov 2011 10:51:09 -0400

Changed in thunderbird (Ubuntu):
status: Confirmed → Fix Released
Chris Coulson (chrisccoulson) wrote :

Note, the upload here doesn't actually seem to fix this. Sebastien showed me a fairly reliable way to reproduce this still at UDS.

In any case, I'd like for this to not block the SRU in oneiric-proposed, as the other 2 fixes are quite important

tags: added: verification-failed
removed: verification-needed
Changed in thunderbird (Ubuntu Oneiric):
status: Fix Committed → Triaged
Changed in thunderbird (Ubuntu):
status: Fix Released → Triaged
Micah Gersten (micahg) wrote :

This will now have to wait until after the security update planned for Tuesday.

Launchpad Janitor (janitor) wrote :
Download full text (5.0 KiB)

This bug was fixed in the package thunderbird - 8.0+build1-0ubuntu0.11.10.1

---------------
thunderbird (8.0+build1-0ubuntu0.11.10.1) oneiric-security; urgency=low

  * New upstream stable release v8.0 (THUNDERBIRD_8_0_BUILD1)

  * Update messagingmenu-extension to 0.8.3
    - This version backs out the change made in 7.0.1+build1+nobinonly-0ubuntu2
      that didn't fix LP#850229
  * Don't disable our bundled addons on upgrade
    - update debian/vendor.js
  * Move custom scripts to debian/build
    - move debian/get-xpi-id.py to debian/build/get-xpi-id.py
    - move debian/refresh-supported-locales.pl to
       debian/build/refresh-supported-locales.pl
    - move debian/extract-file.py to debian/build/extract-file.py
    - move debian/testsuite.mk to debian/build
    - update debian/rules
  * Shrink the default mozconfig right down so that we use mostly upstream
    defaults, rather than overriding them with our own options. It is still
    possible to override them though. We also drop the pkg-config checks in
    debian/rules which allowed a fallback build configuration when dependencies
    aren't satisfied. Really, the build should just fail here rather than
    continuing in some undesirable fallback mode
    - update debian/thunderbird-dev.links.in
    - update debian/mozconfig.in
    - update debian/control.in
    - update debian/rules
  * Refresh build-depends, as this hasn't been done for a while:
    - Drop patchutils, libxft-dev, libxinerama-dev, libgnome2-dev, sharutils
      and bzip2. These don't appear to be needed
    - Drop liborbit2-dev - only appears to be required if there is no libidl
    - Add libglib2.0-dev, libext-dev, libfontconfig1-dev and libpango1.0-dev,
      as the configure script checks for these directly
    - Add minimum versions to libgconf2-dev, libgnomevfs2-dev, yasm and
      libgnomeui-dev
    - Specify minimum versions for libnspr4-dev, libcairo2-dev, libsqlite3-dev
      and libnss3-dev when using system versions of those libs
  * Introduce a branch config file (debian/config/branch.mk) which holds
    settings which shouldn't be merged between branches (eg, whether
    the crash reporter should be enabled)
    - add debian/config/branch.mk
    - update debian/rules
  * Move debian/locales.* to debian/config
    - move debian/locales.shipped => debian/config/locales.shipped
    - move debian/locales.unavail => debian/config/locales.unavail
    - update debian/rules
    - update debian/build/refresh-supported-locales.pl
  * Move debian/mozconfig.in to debian/config
  * Touch debian/control.in during clean to force a refresh of debian/control,
    so we can check if it is out-of-date and fail if it is
    - update debian/rules
  * Refresh patches:
    - update debian/patches/ctypes-callback-reentry-fix.patch
    - update debian/patches/theme-refresh-compose-toolbar-icons.patch
    - update debian/patches/theme-refresh-message-header-buttons.patch
  * Drop the mozilla-devscripts dependency. We were only using this for creating
    tarballs anyway. Instead, implement our own get-orig-source target, which
    also fixes some problems we were having
    - update debian/control.in
    - remove debian/moz-r...

Read more...

Changed in thunderbird (Ubuntu Oneiric):
status: Triaged → Fix Released
Micah Gersten (micahg) wrote :

This wasn't actually fixed, per the 8.0 changelog, so reopening.

Changed in thunderbird (Ubuntu Oneiric):
status: Fix Released → Triaged
Launchpad Janitor (janitor) wrote :
Download full text (5.0 KiB)

This bug was fixed in the package thunderbird - 8.0+build1-0ubuntu0.11.10.1

---------------
thunderbird (8.0+build1-0ubuntu0.11.10.1) oneiric-security; urgency=low

  * New upstream stable release v8.0 (THUNDERBIRD_8_0_BUILD1)

  * Update messagingmenu-extension to 0.8.3
    - This version backs out the change made in 7.0.1+build1+nobinonly-0ubuntu2
      that didn't fix LP#850229
  * Don't disable our bundled addons on upgrade
    - update debian/vendor.js
  * Move custom scripts to debian/build
    - move debian/get-xpi-id.py to debian/build/get-xpi-id.py
    - move debian/refresh-supported-locales.pl to
       debian/build/refresh-supported-locales.pl
    - move debian/extract-file.py to debian/build/extract-file.py
    - move debian/testsuite.mk to debian/build
    - update debian/rules
  * Shrink the default mozconfig right down so that we use mostly upstream
    defaults, rather than overriding them with our own options. It is still
    possible to override them though. We also drop the pkg-config checks in
    debian/rules which allowed a fallback build configuration when dependencies
    aren't satisfied. Really, the build should just fail here rather than
    continuing in some undesirable fallback mode
    - update debian/thunderbird-dev.links.in
    - update debian/mozconfig.in
    - update debian/control.in
    - update debian/rules
  * Refresh build-depends, as this hasn't been done for a while:
    - Drop patchutils, libxft-dev, libxinerama-dev, libgnome2-dev, sharutils
      and bzip2. These don't appear to be needed
    - Drop liborbit2-dev - only appears to be required if there is no libidl
    - Add libglib2.0-dev, libext-dev, libfontconfig1-dev and libpango1.0-dev,
      as the configure script checks for these directly
    - Add minimum versions to libgconf2-dev, libgnomevfs2-dev, yasm and
      libgnomeui-dev
    - Specify minimum versions for libnspr4-dev, libcairo2-dev, libsqlite3-dev
      and libnss3-dev when using system versions of those libs
  * Introduce a branch config file (debian/config/branch.mk) which holds
    settings which shouldn't be merged between branches (eg, whether
    the crash reporter should be enabled)
    - add debian/config/branch.mk
    - update debian/rules
  * Move debian/locales.* to debian/config
    - move debian/locales.shipped => debian/config/locales.shipped
    - move debian/locales.unavail => debian/config/locales.unavail
    - update debian/rules
    - update debian/build/refresh-supported-locales.pl
  * Move debian/mozconfig.in to debian/config
  * Touch debian/control.in during clean to force a refresh of debian/control,
    so we can check if it is out-of-date and fail if it is
    - update debian/rules
  * Refresh patches:
    - update debian/patches/ctypes-callback-reentry-fix.patch
    - update debian/patches/theme-refresh-compose-toolbar-icons.patch
    - update debian/patches/theme-refresh-message-header-buttons.patch
  * Drop the mozilla-devscripts dependency. We were only using this for creating
    tarballs anyway. Instead, implement our own get-orig-source target, which
    also fixes some problems we were having
    - update debian/control.in
    - remove debian/moz-r...

Read more...

Changed in thunderbird (Ubuntu Oneiric):
status: Triaged → Fix Released
Micah Gersten (micahg) wrote :

Reopening again due to launchpad amnesia

Changed in thunderbird (Ubuntu Oneiric):
status: Fix Released → Triaged
Andrea Amoroso (heiko81) wrote :

I think that a problem with indicator and icon is also that, when you erase the message count in the indicator, the icon count isn't erased and it continues to show the previous number.

Chris Coulson (chrisccoulson) wrote :

This should do it:

chr1s@farnsworth:~/src/messagingmenu-extension/messagingmenu-extension$ bzr commit -m "Instead of clearing the indicator when messages are removed from a folder, or when messages are read,
> just listen for the \"NewMessages\" boolean property on the folder changing to false. This should catch all cases and is aligned with
> how the \"new message star\" in the folder pane works" --fixes lp:850229
Committing to: /home/chr1s/src/messagingmenu-extension/messagingmenu-extension/
modified modules/MessagingMenu.jsm
Committed revision 90.
chr1s@farnsworth:~/src/messagingmenu-extension/messagingmenu-extension$ bzr push
Using saved push location: bzr+ssh://bazaar.launchpad.net/%2Bbranch/messagingmenu-extension/
Pushed up to revision 90.

Changed in messagingmenu-extension:
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunderbird - 10.0~b3+build1-0ubuntu1

---------------
thunderbird (10.0~b3+build1-0ubuntu1) precise; urgency=low

  * New upstream release from the beta channel (THUNDERBIRD_10_0b3_BUILD1)

  * Update messagingmenu to 0.9
    - Fixes LP: #850229 - Unread email count in thunderbird shown wrongly in
      messaging menu and launcher icon
  * thunderbird-gnome-support depends on libunity9 in precise
    - update debian/rules
 -- Chris Coulson <email address hidden> Fri, 13 Jan 2012 10:09:48 +0000

Changed in thunderbird (Ubuntu):
status: Triaged → Fix Released
Changed in messagingmenu-extension:
status: Fix Committed → Fix Released

Unread email count in thunderbird shown wrongly in launcher icon - am using Ubuntu 11.10 & Thunderbird 11

Sparhawk (sparhawkthesecond) wrote :

Bug is still here for me too, with the new Thunderbird 11.0 (and Ubuntu 11.10).

highwaychile (highwaychile) wrote :

Same problem here with Thunderbrd 11.0 and Ubuntu 12.04

Sparhawk (sparhawkthesecond) wrote :

Still there in Thunderbird 11.0.1 (and Ubuntu 11.10).

Andre (ajx) wrote :

As of today this bug ist still existent in Oneiric with all updates installed. The strange thing is that it is working correctly most of the time. But 2-3 times a day I have to click on the unread messages in the messaging menu although Thunderbird is already focused and all messages are read. This is very confusing, and I recommend to turn of the messaging menu addon in Thunderbird to other users.

gianluca (antonelli) wrote :

same here
g.

Package: thunderbird
Version: 11.0.1+build1-0ubuntu0.11.10.1

Package: unity
Version: 4.28.0-0ubuntu2

Sparhawk (sparhawkthesecond) wrote :

For me (so far), it seems that this has been fixed with Thunderbird 11.0.1 and Ubuntu 12.04.

thunderbird 11.0.1+build1-0ubuntu2
unity 5.10.0-0ubuntu6

Andre (ajx) wrote :

I made the observation that the indicator is only reset after some time (using Oneiric with all updates installed). I didn't reset the indicator manually, and after some time (let it be 20 minutes) the indicator reset itself correctly. Of course this is too long if I get notificaiton about new emails via IMAP+ (idle) immediately.

Sparhawk (sparhawkthesecond) wrote :

Ah. I never had the patience to wait that long. If you are intending on upgrading to Precise, though, you might find this fixed.

Sparhawk (sparhawkthesecond) wrote :

Hmmm, although it does take perhaps 20 seconds to go from blue to black sometimes.

Magnetizer (magnetizer) wrote :

The icon in the launcher does not show the right number of unread emails, too.

What I found dis this:

Precondition: There are no unread emails. The icon does not show a number at all. Everything is ok.

1) Some (say 3) emails arrive. The icon shows the correct number of unread emails (3).
2) I read 2 of them and let the last email being unread. The icon still shows that there are 3 unread emails which is wrong.
3a) When I read the last unread email the icon does not show a number at all. Everything is ok again.
3b) When another email arrives the icon shows the correct number of unread emails (2).
3c) When I read all emails but decide to set one email to the status "unread" the icon shows no number at all which is wrong.

It seems to me that there are 2 triggers to update the number of unread emails:

* new email arrives
* last unread email is read

and it misses the trigger:

* some email is read or set to unread

In addition it does not really count the number of email having status "unread" but it only considers e-mails since the last update.

I can reproduce the last fact quite easily because I use the "unread" status of an e-mail not to mean that I did not read it but as a reminder that I should take action upon it at some time. So emails do not get the "read" status when I read them but only when I set them "unread" manually. This means I have 28 "unread" emails right now but the icon does not show a number as I "read" the last emails that arrived.

anabelli (anabelli) wrote :

If I'm not mistaken, this bug is still present in precise. Thunderbird seems a pretty important piece of software on an ubuntu desktop though.

Tal Liron (emblem-parade) wrote :

Bug still exists in Ubuntu 13.04, Thunderbird 17.0.5 (clean install).

ef (mike-globalfunkradio) wrote :

Confirming this bug in 13.04, Thunderbird 17.0.5

Gao Shichao (xgdgsc) wrote :

Obviously not fixed. This should be changed to Triaged again.

A workaround as mentioned https://bugs.launchpad.net/ubuntu/+source/thunderbird/+bug/848774 , #5 comment:

Open : "Tools -> Options -> Advanced -> General -> Config Editor (button)"

Search for `extensions.messagingmenu.inboxOnly` set it to true and that's it.

Bug still exist in Thunderbird v31.2.0 :(

Pius (paperback) wrote :

thunderbird 1:31.2.0+build2-0ubuntu0.14.04.1
Still the same bug.

Changed in thunderbird (Ubuntu Oneiric):
status: Triaged → Confirmed

@Pius Please don't change the bug status from Triaged to Confirmed unless there's a reason for it. Triaged bugs are also confirmed by definition. Also, Oneiric has already reached end-of-life status; do you mean the bug is present in Ubuntu 14.04 instead?

tags: added: trusty
Rolf Leggewie (r0lf) wrote :

oneiric has seen the end of its life and is no longer receiving any updates. Marking the oneiric task for this ticket as "Won't Fix".

Changed in thunderbird (Ubuntu Oneiric):
status: Confirmed → Won't Fix

Bug still exist in Thunderbird v31.8.0 (Ubuntu 14.04)

samhassell (samhassell) wrote :

Bug still exists with Thunderbird v38.6.0 on 14.04

Bug still exists with Thunderbird v45.2.0 on 16.04

Bug still exists with Thunderbird v45.3.0 on 16.04 .. but recently i discovered some solution : when clicking the envelop icon in the Ubuntu notification bar (upper right, next to the clock) and then clicking the inbox(es) in its menu, the little number at the Thunderbird launch icon disappears ! So, i don't have to close and re-open Thunderbird anymore, however, this is a workaround, not a real solution .. but maybe this will lead to a real fix ..

mihai.ile (mihai.ile) wrote :

Using ubuntu 16.10 and I am left with the unread emails counter by having a filter which marks incoming mail as read and sends it to trash (using some criteria).
The counter is not reset despite not having any unread email in inbox.
I noticed that it resets sometimes if I receive an email that is not filtered and then read that email. Somehow this triggers something and the unread count works again.

@mihai.ile : yes, i also encounter the bug has something to do with the filter function "mark email as read".

Matthew Shaver (croaker) wrote :

I have filters which move some mail to other folders. So I get unread counts in the thousands where there are no unread emails in Inbox. Since Unity is going away I guess the fix is to switch from Unity to Gnome.

Etienne (asteba) wrote :

This is still happening with Ubuntu 18.04 (Gnome) and Thunderbird 60.5.1. If I setup a message filter to move emails to another folder and mark them as read, then the Thunderbird icon in the docker shows unread emails, even though all my emails are read.

Paul White (paulw2u) wrote :

@Etienne, I see something similar although I don't use Thunderbird's filters. Your problem is probably covered in bug 1726116 where it is stated that Thunderbird doesn't send updates correctly.

To post a comment you must log in.